$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))

require 'bundler'
require 'old_api_resource'
require 'simplecov'

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Bundler.require(:default, :development)
Debugger.start

SimpleCov.start do
  add_filter "/spec/"
end

SimpleCov.at_exit do
  SimpleCov.result.format!
end

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
#OldApiResource.load_mocks_and_factories
OldApiResource.site = 'http://localhost:3000'
OldApiResource.format = :json
OldApiResource.load_mocks_and_factories

OldApiResource.logger.level = Log4r::INFO

Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}



RSpec.configure do |config|
  
end
